<?php
define('NTLCMS', 1);
$module = 'click';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
$page_title = 'Страница рейтинга по кликам - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
echo '<div class="title"><b>'.razd.' Рейтинг по кликам</b></div>';
echo '<div class="menu">'.(isset($_GET['all']) ? '<b>За все время</b> | <a href="'.URL.'/rate_click">За сегодня</a>' : '<b>За сегодня</b> | <a href="'.URL.'/rate_click?all">За все время</a>').'</div>';		
if (isset($_GET['all'])){
$k_post = DB :: run() -> querySingle("select count(`id`) from `users` where `click_all` <> '' and `id` <> '0'");			
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage;
$sql = DB :: run() -> query("select (`login`), (`click_all`) from `users` where `click_all` <> '' and `id` <> '0' order by `click_all` desc limit ".$start.", ".$onpage);
if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Лучших кликеров за все время нет!</center></div>';
} else {
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
echo '<div class="menu">'.ava($row -> login).' '.login($row -> login, 1).' <span class="count">'.word(((int) $row -> click_all), 'переход', 'перехода', 'переходов').'</span></div>';
}
if ($k_page > 1) navigation(URL.'/rate_click?all&amp;', $k_page, $page);
}
} else {
$k_post = DB :: run() -> querySingle("select count(`id`) from `users` where `click_day` <> '' and `id` <> '0'");
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage;
$sql = DB :: run() -> query("select (`login`), (`click_day`) from `users` where `click_day` <> '' and `id` <> '0' order by `click_day` desc limit ".$start.", ".$onpage);
if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Лучших кликеров сегодня нет!</center></div>';
} else {
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
echo '<div class="menu">'.ava($row -> login).' '.login($row -> login, 1).' <span class="count">'.word(((int) $row -> click_day), 'переход', 'перехода', 'переходов').'</span></div>';
}
if ($k_page > 1) navigation(URL.'/rate_click?', $k_page, $page);
}
}
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/rate">Рейтинги клуба</a></div>';
include ('../system/foot.php');
?>